/**
 * Copyright (C) All rights reserved.
 *
 * @Module     AreaRange.java
 * @Author     Takahiko Tanaka.
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2012/08/17
 *
 */

package exec;

import java.lang.*;
import java.io.*;
import java.util.*;
import java.net.*;

public class AreaRange extends DebugObject {

    private int  start_position;
    private int  end_position;

    public void setStartPosition(int position) {
        start_position = position;
    }

    public void setEndPosition(int position) {
        end_position = position;
    }

    public int getStartPosition() {
        return start_position;
    }
    public int getEndPosition() {
        return end_position;
    }

    public AreaRange clone() {
        AreaRange  area_range;
        area_range = new AreaRange();

        area_range.setStartPosition(getStartPosition());
        area_range.setEndPosition(getEndPosition());
        return area_range;
    }
}
