/**
 * Copyright (C) All rights reserved.
 *
 * @Module:    RegionGenerator.java
 * @Author:    Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version:   1.0 2013/05/15 
 *
 * This module creates new report combining blocks in files.
 */

package exec;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class RegionGenerator extends DebugObject {
    private static String PARAMETER_ERROR = "Parameter error.";

    public RegionGenerator(String target, String source) throws Exception {
    
    }

    public void execute(String[] exec_args) throws Exception {

    }

    

    public static RegionGenerator valueOf(String target, String source) throws Exception {
        RegionGenerator   region_generator;

        try {
            region_generator = new RegionGenerator(target, source);
        } catch (Exception exception_object) {
            throw exception_object;
        }
        return region_generator;
    }

    public static void main(String[] args) {
        RegionGenerator   region_generator;
        String   target_file;
        String   source_file;
        String[] exec_args;

        if (args.length < 2) {
            System.err.println(PARAMETER_ERROR);
            return;
        }
        target_file = args[0];
        source_file = args[1];
        exec_args = new String[args.length-2];
        for (int i = 2; i < exec_args.length; i++) {
            exec_args[i-2] = args[i];
        }

        try {
            region_generator = new RegionGenerator(target_file, source_file);
            region_generator.execute(exec_args);
        } catch (Exception exception_object) {
            System.err.println(exception_object.getMessage());
            return;
        }
    }
}
