/**
 * Copyright (C) All rights reserved.
 *
 * @Module     DebugBox.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/05/21
 *
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;

public class DebugBox extends Object {
    private static StringObject string_object = null;
    private static StringObject format_object = null;

    private static LogPrintStream debug_log_stream = null;
    private static MessageResource message_resource = null;

    private int debug_level = 0;

    public DebugBox() {
    }

    public void setDebugLevel(int debug_value) {
        debug_level = debug_value;
    }

    public int getDebugLevel() {
        return debug_level;
    }

    public void setLogPrintStream(LogPrintStream param_log_stream) {
        debug_log_stream = param_log_stream;
    }

    public LogPrintStream getLogPrintStream() {
        return debug_log_stream;
    }

    public void setMessageResource(MessageResource param_message_resource) {
        message_resource = param_message_resource;
    }

    public MessageResource getMessageResource() {
        return message_resource;
    }

    public String getMessageMessage(int debug, String form, String[] mesg) {
        if (debug <= debug_level) {
            return ObjectServerHeader.EMPTY_MESSAGE;
        }
        /** under implementation
         **/
        return ObjectServerHeader.EMPTY_MESSAGE;
    }
}
