/**
 * Copyright (C) All rights reserved.
 *
 * @Module     LogMessage.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2010/11/11
 *
 */

package oserv;

import java.lang.*;
import java.io.*;

/**
 * Definition for logging messages.
 */
public class LogMessage {

    public static String SERVER_LOG_STARTUP
        = "Start Thread in oserv.ObjectServer().";

    public static String SERVER_LOG_ENTER_CONNECT
        = "Enter connect function.";
    public static String SERVER_LOG_ENTER_REGISTER
        = "Enter register function.";
    public static String SERVER_LOG_ENTER_FORWARD
        = "Enter forward function.";

    public static String SERVER_LOG_CAST_SERVICE
        = "Cast service to forward.";
    public static String SERVER_LOG_GET_SERVICES_FROM_FORWARD
        = "Get services from forward.";

    public static String SERVER_LOG_ACCEPT_SYSTEM
        = "Accept an administration request.";
    public static String SERVER_LOG_ACCEPT_REQUEST
        = "Accept a request.";
    public static String SERVER_LOG_ACCEPT_REGISTRATION
        = "Accept a registration request.";
    public static String SERVER_LOG_ACCEPT_FORWARD
        = "Accept a forward request.";
    public static String SERVER_LOG_ACCEPT_ILLEGAL
        = "Accept an illegal request.";

    public static String SERVER_LOG_REFUSE_REQUEST
        = "Refuse a request.";
    public static String SERVER_LOG_REFUSE_REGISTRATION
        = "Refuse a registration.";
    public static String SERVER_LOG_REFUSE_FORWARD
        = "Refuse a forward request.";

    public static String SERVER_LOG_LIST_COMMAND
        = "Execute List Command.";
    public static String SERVER_LOG_DELETE_COMMAND
        = "Execute Delete Command.";
    public static String SERVER_LOG_DELETE_OBJECT
        = "Execute Delete ";
    public static String SERVER_LOG_REGISTER_COMMAND
        = "Execute Register Command.";
    public static String SERVER_LOG_REGISTER_OBJECT
        = "Execute Register ";
    public static String SERVER_LOG_CLASS_GET_COMMAND
        = "Execute Class Get Command.";

    public static String SERVER_LOG_INVOKE_REQUEST
        = "Execute User's Service.";
    public static String SERVER_LOG_INVOKE_COMMAND
        = "Execute Invoke ";

    public static String SERVER_LOG_SECURITY_EXCEPTION
        = "Security Exception ";
}
