/**
 * Copyright (C) All rights reserved.
 *
 * @Module     NullOutputStream.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2011/01/18
 *             
 * This object provides methods to operate nothing.
 */

package oserv;

import java.lang.*;
import java.net.*;
import java.io.*;

/**
 * @see java.io.OutputStream
 */
public class NullOutputStream extends OutputStream {

    public void write(int param) throws java.io.IOException {}
    public void write(byte[] param) throws java.io.IOException {}
    public void write(byte[] param, int offset, int length) 
        throws java.io.IOException {}
    public void flush() throws java.io.IOException {}
    public void close() throws java.io.IOException {}

}
