/**
 * Copyright (C) All rights reserved.
 *
 * @Module     ObjectKillTest.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/02/14
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class ObjectKillTest extends ObjectKill {
    private static String TEST1 = "Test1";

    public void test1() {
        LogPrintStream    log_print_stream;
        MessageResource   message_resource;

        message_resource = getMessageResource();
        log_print_stream = getLogStream();
        if (log_print_stream != null) {
            log_print_stream.printLogln(TEST1);
        }
    }

    public static void main(String[] args) {
        ObjectKillTest    object_kill_test;

        object_kill_test = new ObjectKillTest();
        if (args.length == 1) {
            if (args[0] != null && args[0].compareTo(TEST1) == 0) {
                object_kill_test.test1();
            }
        }
    }
}
