/**
 * Copyright (C) All rights reserved.
 *
 * @Module     ObjectServerServiceUnavailableException.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.0 2010/07/20
 *             2.1 2010/10/08
 *
 * This class is defined as internal exception.
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;

/**
 * This class is defined as internal exception.
 * 
 * @see Exception
 */
public class ObjectServerServiceUnavailableException extends Exception {

    /**
     * This constructor is called with basic exception information.
     *
     * @param    Exception - basic exception
     */
    public ObjectServerServiceUnavailableException(Exception exception_object) {
        super(exception_object);
    }

    /**
     * This constructor is called with error message.
     *
     * @param    String - Message String
     */
    public ObjectServerServiceUnavailableException(String message) {
        super(message);
    }
}
