/**
 * Copyright (C) All rights reserved.
 *
 * @Module     SODObject.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/04/02
 *
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;

public class SODObject extends Object implements Serializable {
    public final static String NORMAL_END_MESSAGE = "Normal end";
    public final static String START_OF_DATA_MESSAGE = "Start Of Data";
    public final static String ABNORMAL_END = "Abnormal end";

    public static int parameter_index = -1;
    public static boolean close_flag = false;

    public  static String type = null;

    private String message = null;

    public SODObject(String param) {
        message = param;
    }

    public void setType(String param_type) {
        type = param_type;
    }

    public String getType() {
        return type;
    }

    public void setParameterIndex(int value) {
        parameter_index = value;
    }

    public int getParameterIndex() {
        return parameter_index;
    }

    public void setClose(boolean flag) {
        close_flag = flag;
    }

    public boolean isClose() {
        return close_flag;
    }

    public String getMessage() {
        return message;
    }

    public String toString() {
        if (message != null) {
            return message;
        }
        return super.toString();
    }
}
