/**
 * Copyright (C) All rights reserved.
 *
 * @Module     CallMethodDebug1.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2013/06/19
 *
 */

package oserv.test;

import java.lang.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;

import oserv.*;

public class CallMethodDebug1  extends CallMethod {
    private static String SPACE = " ";

    private static String CALL_METHOD_NULL_BEFORE
        = "Before Call Method is NULL.";
    private static String CALL_METHOD_NOT_NULL_BEFORE 
        = "Before Call Method is ";
    private static String CALL_METHOD_NULL_AFTER
        = "After Call Method is NULL.";
    private static String CALL_METHOD_NOT_NULL_AFTER 
        = "After Call Method is ";

    public void check_setMethod(Method method_object) {

if (method_object != null) {
System.err.println("check_setMethod " + method_object.toString());
} else {
System.err.println("check_setMethod is null");
}
        try {
            super.setMethod(method_object);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }
}
