/**
 * Copyright (C) All rights reserved.
 *
 * @Module     CallMethodSample.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/03/21
 *
 */

package oserv.test;

import java.lang.*;
import java.io.*;
import java.net.*;

public class CallMethodSample extends Object {

    public CallMethodSample() {
    }

    public static String INT_TEST = "intMethod";
    public static String LONG_TEST = "longMethod";
    public static String FLOAT_TEST = "floatMethod";
    public static String DOUBLE_TEST = "doubleMethod";
    public static String SHORT_TEST = "shortMethod";
    public static String CHAR_TEST = "charMethod";
    public static String BYTE_TEST = "byteMethod";
    public static String BOOLEAN_TEST = "booleanMethod";
    public static String OBJECT_TEST = "objectMethod";

    public static String BYTE_ARRAY_TEST = "byteArrayMethod";

    public int intMethod(int int_parameter) {
        int value;

        value = int_parameter * 5 + 2;
        return value;
    }

    public long longMethod(long long_parameter) {
        long value;
        value = long_parameter * 10 + 4;
        return value;
    }

    public float floatMethod(float float_parameter) {
        float  value;
        value = (float)(float_parameter * 10.0 + 2.3);
        return value;
    }

    public double doubleMethod(double double_parameter) {
        double value;
        value = double_parameter * 9.2 + 3.4;
        return value;
    }

    public short shortMethod(short short_parameter) {
        short value;
        value = (short)(short_parameter * 5 + 3);
        return value;
    }

    public char charMethod(char char_parameter) {
        char value;
        value = (char)(char_parameter + 3);
        return value;
    }

    public byte byteMethod(byte byte_parameter) {
        byte value;
        value = (byte)(byte_parameter + (byte)2);
        return value;
    }

    public boolean booleanMethod(boolean boolean_parameter) {
        boolean value;
        value = boolean_parameter;
        return value;
    }

    public Object objectMethod(Object object_parameter) {
        Object object_instance;
        object_instance = object_parameter;
        return object_instance;
    }

    public byte[] byteArrayMethod(byte[] array_parameter) {
        byte[] array_area;

        if (array_parameter == null) {
            return null;
        }
        array_area = new byte[array_parameter.length];
        return array_area;
    }
}
