/**
 * Copyright (C) All rights reserved.
 *
 * @Module     VariableServer.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2013/07/09
 */

package oserv.test.check;

import java.lang.*;
import java.io.*;
import java.net.*;

public class VariableServer {

    public  String Message1 = "Message 1";
    public static UserVariable user_variable = null;

    private String Message2 = "Message 2";
    private String Message3 = "Message 3";


    public VariableServer() {
        user_variable = new UserVariable();
    }

    public void checkVariable() {
        System.out.println(Message1);
        System.out.println(user_variable.getMessage());
    }

    public void setLocalMessage(String message) {
        Message1 = new String(message);
    }

    public void setVariableMessage(String message) {
        user_variable.setMessage(message);
    }

    public void test1() {
        setLocalMessage( Message2 );
    }

    public void test2() {
        setVariableMessage( Message3 );
    }

    public void test3() {
        setLocalMessage( null );
    }

    public void test4() {
        setVariableMessage( null );
    }
}
