/**
 * Copyright (C) All rights reserved.
 *
 * @Module     ExecuteService.java
 * @Author     Takahiko Tanaka.
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2012/05/15
 *             1.1 2.13/04/08
 *
 */

package server;

import java.lang.*;
import java.io.*;
import java.net.*;

import exec.*;

public interface ExecuteService {
    public void writeFile(InputStream input_stream, String file_name) throws Exception;
    public void removeFile(String file_name) throws Exception;

    public void execute(String method_name, String class_name, FileInputStream jar_input, byte[] param_byte, PrintStream print_stream, MessageResource message_resource) throws Exception;
    public boolean setupDebug(int level) throws Exception;
}
