/**
 * Copyright (C) All rights reserved.
 *
 * @Module     TestStreamService.java
 * @Author     Takahiko Tanaka.
 * @Version    1.0 2012/05/28
 *
 */

package tstream;

import java.lang.*;
import java.io.*;
import java.net.*;

public interface TestStreamService {

    public void stream001(OutputStream output_stream) throws Exception;
    public void stream002(FileOutputStream output_stream) throws Exception;
    public void stream003(ObjectOutputStream output_stream) throws Exception;
    public void stream004(BufferedOutputStream output_stream) throws Exception;
    public void stream005(ByteArrayOutputStream output_stream) throws Exception;
    public void stream006(FilterOutputStream output_stream) throws Exception;
    public void stream007(PipedOutputStream output_stream) throws Exception;
    public void stream008(DataOutputStream output_stream) throws Exception;
    public void stream009(PrintStream output_stream) throws Exception;

    public void stream101(InputStream input_stream) throws Exception;
    public void stream102(FileInputStream input_stream) throws Exception;
    public void stream103(ObjectInputStream input_stream) throws Exception;
    public void stream104(BufferedInputStream input_stream) throws Exception;
    public void stream105(ByteArrayInputStream input_stream) throws Exception;
    public void stream106(FilterInputStream input_stream) throws Exception;
    public void stream107(DataInputStream input_stream) throws Exception;
    public void stream108(LineNumberInputStream input_stream) throws Exception;
    public void stream109(SequenceInputStream input_stream) throws Exception;
    public void stream110(PushbackInputStream input_stream) throws Exception;
    public void stream111(StringBufferInputStream input_stream) throws Exception;

    public InputStream stream201() throws Exception;
    public FileInputStream stream202() throws Exception;
    public ObjectInputStream stream203() throws Exception;
    public BufferedInputStream stream204() throws Exception;
    public ByteArrayInputStream stream205() throws Exception;
    public FilterInputStream stream206() throws Exception;
    public DataInputStream stream207() throws Exception;
    public LineNumberInputStream stream208() throws Exception;
    public SequenceInputStream stream209() throws Exception;
    public PushbackInputStream stream210() throws Exception;

    public void stream301(InputStream input_stream, OutputStream output_stream) throws Exception;
    public void stream302(OutputStream output_stream, InputStream Input_stream) throws Exception;
    public void stream303(InputStream input_stream1, InputStream input_stream2) throws Exception;
    public void stream304(OutputStream output_stream1, OutputStream output_stream2) throws Exception;
}
