/**
 * Copyright (C) All rights reserved.
 *
 * @Module     TestStreamClient.java
 * @Author     Takahiko Tanaka
 * @Version    1.0 2012/06/27
 *
 */


import java.lang.*;
import java.io.*;

import tstream.*;

public class TestStreamClient extends Object {
    private static String CASE_001 = "001";
    private static String CASE_002 = "002";
    private static String CASE_003 = "003";
    private static String CASE_004 = "004";
    private static String CASE_005 = "005";
    private static String CASE_006 = "006";
    private static String CASE_007 = "007";
    private static String CASE_008 = "008";
    private static String CASE_009 = "009";

    private static String CASE_101 = "101";
    private static String CASE_102 = "102";
    private static String CASE_103 = "103";
    private static String CASE_104 = "104";
    private static String CASE_105 = "105";
    private static String CASE_106 = "106";
    private static String CASE_107 = "107";
    private static String CASE_108 = "108";
    private static String CASE_109 = "109";
    private static String CASE_110 = "110";
    private static String CASE_111 = "111";

    private static String CASE_201 = "201";
    private static String CASE_202 = "202";
    private static String CASE_203 = "203";
    private static String CASE_204 = "204";
    private static String CASE_205 = "205";
    private static String CASE_206 = "206";
    private static String CASE_207 = "207";
    private static String CASE_208 = "208";
    private static String CASE_209 = "209";
    private static String CASE_210 = "210";

    private static String CASE_301 = "301";
    private static String CASE_302 = "302";
    private static String CASE_303 = "303";
    private static String CASE_304 = "304";

    private static String file_name001 = "file001";
    private static String file_name002 = "file002";
    private static String file_name003 = "file003";
    private static String file_name004 = "file004";
    private static String file_name005 = "file005";
    private static String file_name006 = "file006";
    private static String file_name007 = "file007";
    private static String file_name008 = "file008";
    private static String file_name009 = "file009";
    private static String file_name101 = "file101";
    private static String file_name102 = "file102";
    private static String file_name103 = "file103";
    private static String file_name104 = "file104";
    private static String file_name105 = "file105";
    private static String file_name106 = "file106";
    private static String file_name107 = "file107";
    private static String file_name108 = "file108";
    private static String file_name109 = "file109";
    private static String file_name110 = "file110";
    private static String file_name111 = "file111";

    private static String file_name3011 = "file3011";
    private static String file_name3012 = "file3012";
    private static String file_name3021 = "file3021";
    private static String file_name3022 = "file3022";
    private static String file_name3031 = "file3031";
    private static String file_name3032 = "file3032";
    private static String file_name3041 = "file3041";
    private static String file_name3042 = "file3042";

    private static String message101 = "message 101";
    private static String message102 = "message 102";
    private static String message103 = "message 103";
    private static String message104 = "message 104";
    private static String message105 = "message 105";
    private static String message106 = "message 106";
    private static String message107 = "message 107";
    private static String message108 = "message 108";
    private static String message109 = "message 109";
    private static String message110 = "message 110";
    private static String message111 = "message 111";

    private static String message301 = "message 301";
    private static String message302 = "message 302";

    private static String message3031 = "message 3031";
    private static String message3032 = "message 3032";

    private static String EMPTY = "";

    public void execute001() {
        String               line;
        FileInputStream      file_input_stream;
        FileOutputStream     file_output_stream;
        DataInputStream      data_input_stream;
        TestStreamServer     test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name001);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream001((OutputStream)file_output_stream);

            file_output_stream.close();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name001);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute002() {
        String               line;
        FileInputStream      file_input_stream;
        DataInputStream      data_input_stream;
        FileOutputStream     file_output_stream;
        TestStreamServer     test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name002);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream002((FileOutputStream)file_output_stream);

            file_output_stream.close();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name002);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = (String)data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute003() {
        String               line;
        FileInputStream      file_input_stream;
        FileOutputStream     file_output_stream;
        ObjectInputStream    object_input_stream;
        ObjectOutputStream   object_output_stream;
        TestStreamServer     test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name003);
            object_output_stream = new ObjectOutputStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream003((ObjectOutputStream)object_output_stream);

            object_output_stream.close();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name003);
            object_input_stream = new ObjectInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = (String)object_input_stream.readObject();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute004() {
        String               line;
        FileOutputStream     file_output_stream;
        FileInputStream      file_input_stream;
        BufferedOutputStream buffered_output_stream;
        DataInputStream      data_input_stream;
        TestStreamServer     test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name004);
            buffered_output_stream = new BufferedOutputStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream004((BufferedOutputStream)buffered_output_stream);
            buffered_output_stream.close();

        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name004);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute005() {
        byte[]                  buffer;
        ByteArrayOutputStream   byte_array_output_stream;
        TestStreamServer        test_stream_server;

        try {
            byte_array_output_stream = new ByteArrayOutputStream();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream005((ByteArrayOutputStream)byte_array_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        buffer = byte_array_output_stream.toByteArray();
        System.out.println(new String(buffer, 0, buffer.length));
    }

    public void execute006() {
        String                  line;
        FileOutputStream        file_output_stream;
        FileInputStream         file_input_stream;
        FilterOutputStream      filter_output_stream;
        DataInputStream         data_input_stream;
        TestStreamServer        test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name006);
            filter_output_stream = new FilterOutputStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream006((FilterOutputStream)filter_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name006);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute007() {
        String                   line;
        PipedOutputStream        piped_output_stream;
        PipedInputStream         piped_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            piped_input_stream = new PipedInputStream();
            piped_output_stream = new PipedOutputStream();
            piped_output_stream.connect(piped_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream007((PipedOutputStream)piped_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            piped_output_stream.close();
            data_input_stream = new DataInputStream(piped_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute008() {
        String                   line;
        FileOutputStream         file_output_stream;
        FileInputStream          file_input_stream;
        DataOutputStream         data_output_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name008);
            data_output_stream = new DataOutputStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream008((DataOutputStream)data_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name008);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute009() {
        String                   line;
        FileOutputStream         file_output_stream;
        FileInputStream          file_input_stream;
        PrintStream              print_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name009);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream009((PrintStream)print_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name009);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute101() {
        String                   line;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name101);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message101);
        try {
            file_input_stream = new FileInputStream(file_name101);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream101((DataInputStream)data_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute102() {
        String                   line;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name102);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message102);
        try {
            file_input_stream = new FileInputStream(file_name102);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream102(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute103() {
        String                   line;
        FileOutputStream         file_output_stream;
        ObjectOutputStream       object_output_stream;
        FileInputStream          file_input_stream;
        ObjectInputStream        object_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name103);
            object_output_stream = new ObjectOutputStream(file_output_stream);
            object_output_stream.writeObject((Object)message103);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name103);
            object_input_stream = new ObjectInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream103(object_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute104() {
        String                   line;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        BufferedInputStream      buffered_input_stream;
        TestStreamServer         test_stream_server;

        try {
            file_output_stream = new FileOutputStream(file_name104);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message104);
        try {
            file_input_stream = new FileInputStream(file_name104);
            buffered_input_stream = new BufferedInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream104(buffered_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute105() {
        byte[]                   buffer;
        ByteArrayOutputStream    byte_array_output_stream;
        ByteArrayInputStream     byte_array_input_stream;
        PrintStream              print_stream;
        TestStreamServer         test_stream_server;

        try {
            byte_array_output_stream = new ByteArrayOutputStream();
            print_stream = new PrintStream(byte_array_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message105);
        buffer = byte_array_output_stream.toByteArray();
        try {
            byte_array_input_stream = new ByteArrayInputStream(buffer);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream105(byte_array_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute106() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        FilterInputStream        filter_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name106);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message106);
        try {
            file_input_stream = new FileInputStream(file_name106);
            filter_input_stream = (FilterInputStream)new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream106(filter_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute107() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name107);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message107);
        try {
            file_input_stream = new FileInputStream(file_name107);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream107(data_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute108() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        LineNumberInputStream    line_number_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name108);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message108);
        try {
            file_input_stream = new FileInputStream(file_name108);
            line_number_input_stream = new LineNumberInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream108(line_number_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute109() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        ByteArrayInputStream     byte_array_input_stream;
        SequenceInputStream      sequence_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name109);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message109);
        try {
            byte_array_input_stream = new ByteArrayInputStream(EMPTY.getBytes());
            file_input_stream = new FileInputStream(file_name109);
            sequence_input_stream = new SequenceInputStream(file_input_stream,
                byte_array_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream109(sequence_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute110() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        FileInputStream          file_input_stream;
        PushbackInputStream      pushback_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name110);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message110);
        try {
            file_input_stream = new FileInputStream(file_name110);
            pushback_input_stream = new PushbackInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream110(pushback_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute111() {
        byte[]                   buffer;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;
        StringBufferInputStream  string_buffer_input_stream;

        try {
            file_output_stream = new FileOutputStream(file_name111);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message111);
        try {
            string_buffer_input_stream = new StringBufferInputStream(message111);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream111(string_buffer_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute201() {
        String                   line;
        InputStream              input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            input_stream = test_stream_server.stream201();
            data_input_stream = new DataInputStream(input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute202() {
        String                   line;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            file_input_stream = test_stream_server.stream202();
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute203() {
        String                   line;
        ObjectInputStream        object_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            object_input_stream = test_stream_server.stream203();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = (String)object_input_stream.readObject();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute204() {
        String                   line;
        BufferedInputStream      buffered_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            buffered_input_stream = test_stream_server.stream204();
            data_input_stream = new DataInputStream(buffered_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute205() {
        String                   line;
        ByteArrayInputStream     byte_array_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            byte_array_input_stream = test_stream_server.stream205();
            data_input_stream = new DataInputStream(byte_array_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute206() {
        String                   line;
        FilterInputStream        filter_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            filter_input_stream = test_stream_server.stream206();
            data_input_stream = new DataInputStream(filter_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }

        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute207() {
        String                   line;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            data_input_stream = test_stream_server.stream207();
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }

        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute208() {
        String                   line;
        LineNumberInputStream    line_number_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            line_number_input_stream = test_stream_server.stream208();
            data_input_stream = new DataInputStream(line_number_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute209() {
        String                   line;
        SequenceInputStream      sequence_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            sequence_input_stream = test_stream_server.stream209();
            data_input_stream = new DataInputStream(sequence_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute210() {
        String                   line;
        PushbackInputStream      pushback_input_stream;
        DataInputStream          data_input_stream;
        TestStreamServer         test_stream_server;

        try {
            test_stream_server = new TestStreamServer();
            pushback_input_stream = test_stream_server.stream210();
            data_input_stream = new DataInputStream(pushback_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute301() {
        String                   line;
        TestStreamServer         test_stream_server;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;

        try {
            file_output_stream = new FileOutputStream(file_name3011);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message301);
        try {
            file_output_stream.close();
            file_input_stream = new FileInputStream(file_name3011);
            file_output_stream = new FileOutputStream(file_name3012);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream301(file_input_stream, file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name3012);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute302() {
        String                   line;
        TestStreamServer         test_stream_server;
        FileInputStream          file_input_stream;
        DataInputStream          data_input_stream;
        FileOutputStream         file_output_stream;
        PrintStream              print_stream;

        try {
            file_output_stream = new FileOutputStream(file_name3022);
            print_stream = new PrintStream(file_output_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        print_stream.println(message302);
        try {
            file_output_stream.close();
            file_output_stream = new FileOutputStream(file_name3021);
            file_input_stream = new FileInputStream(file_name3022);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream302(file_output_stream, file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream = new FileInputStream(file_name3021);
            data_input_stream = new DataInputStream(file_input_stream);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public void execute303() {
        String                   line;
        TestStreamServer         test_stream_server;
        FileInputStream          file_input_stream1;
        FileInputStream          file_input_stream2;
        FileOutputStream         file_output_stream1;
        FileOutputStream         file_output_stream2;
        PrintStream              print_stream1;
        PrintStream              print_stream2;

        try {
            file_output_stream1 = new FileOutputStream(file_name3031);
            print_stream1 = new PrintStream(file_output_stream1);
            file_output_stream2 = new FileOutputStream(file_name3032);
            print_stream2 = new PrintStream(file_output_stream2);
            print_stream1.println(message3031);
            print_stream2.println(message3032);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream1 = new FileInputStream(file_name3031);
            file_input_stream2 = new FileInputStream(file_name3032);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream303(file_input_stream1, file_input_stream2);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
    }

    public void execute304() {
        String                   line;
        TestStreamServer         test_stream_server;
        FileOutputStream         file_output_stream1;
        FileOutputStream         file_output_stream2;
        DataOutputStream         data_output_stream1;
        DataOutputStream         data_output_stream2;
        FileInputStream          file_input_stream1;
        FileInputStream          file_input_stream2;
        DataInputStream          data_input_stream1;
        DataInputStream          data_input_stream2;

        try {
            file_output_stream1 = new FileOutputStream(file_name3041);
            file_output_stream2 = new FileOutputStream(file_name3042);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            test_stream_server = new TestStreamServer();
            test_stream_server.stream304(file_output_stream1, file_output_stream2);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        try {
            file_input_stream1 = new FileInputStream(file_name3041);
            file_input_stream2 = new FileInputStream(file_name3042);
            data_input_stream1 = new DataInputStream(file_input_stream1);
            data_input_stream2 = new DataInputStream(file_input_stream2);
        } catch (Exception exception_object) {
            exception_object.printStackTrace();
            return;
        }
        while (true) {
            try {
                line = data_input_stream1.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
        while (true) {
            try {
                line = data_input_stream2.readLine();
            } catch (Exception exception_object) {
                exception_object.printStackTrace();
                break;
            }
            if (line == null) {
                break;
            }
            System.out.println(line);
        }
    }

    public static void main(String[] args) {
        TestStreamClient    test_stream_client;

        test_stream_client = new TestStreamClient();

        if (args.length != 1) {
            return;
        }
        if (args[0].compareTo(CASE_001) == 0) {
            test_stream_client.execute001();
            return;
        }
        if (args[0].compareTo(CASE_002) == 0) {
            test_stream_client.execute002();
            return;
        }
        if (args[0].compareTo(CASE_003) == 0) {
            test_stream_client.execute003();
            return;
        }
        if (args[0].compareTo(CASE_004) == 0) {
            test_stream_client.execute004();
            return;
        }
        if (args[0].compareTo(CASE_005) == 0) {
            test_stream_client.execute005();
            return;
        }
        if (args[0].compareTo(CASE_006) == 0) {
            test_stream_client.execute006();
            return;
        }
        if (args[0].compareTo(CASE_007) == 0) {
            test_stream_client.execute007();
            return;
        }
        if (args[0].compareTo(CASE_008) == 0) {
            test_stream_client.execute008();
            return;
        }
        if (args[0].compareTo(CASE_009) == 0) {
            test_stream_client.execute009();
            return;
        }

        if (args[0].compareTo(CASE_101) == 0) {
            test_stream_client.execute101();
            return;
        }
        if (args[0].compareTo(CASE_102) == 0) {
            test_stream_client.execute102();
            return;
        }
        if (args[0].compareTo(CASE_103) == 0) {
            test_stream_client.execute103();
            return;
        }
        if (args[0].compareTo(CASE_104) == 0) {
            test_stream_client.execute104();
            return;
        }
        if (args[0].compareTo(CASE_105) == 0) {
            test_stream_client.execute105();
            return;
        }
        if (args[0].compareTo(CASE_106) == 0) {
            test_stream_client.execute106();
            return;
        }
        if (args[0].compareTo(CASE_107) == 0) {
            test_stream_client.execute107();
            return;
        }
        if (args[0].compareTo(CASE_108) == 0) {
            test_stream_client.execute108();
            return;
        }
        if (args[0].compareTo(CASE_109) == 0) {
            test_stream_client.execute109();
            return;
        }
        if (args[0].compareTo(CASE_110) == 0) {
            test_stream_client.execute110();
            return;
        }
        if (args[0].compareTo(CASE_111) == 0) {
            test_stream_client.execute111();
            return;
        }

        if (args[0].compareTo(CASE_201) == 0) {
            test_stream_client.execute201();
            return;
        }
        if (args[0].compareTo(CASE_202) == 0) {
            test_stream_client.execute202();
            return;
        }
        if (args[0].compareTo(CASE_203) == 0) {
            test_stream_client.execute203();
            return;
        }
        if (args[0].compareTo(CASE_204) == 0) {
            test_stream_client.execute204();
            return;
        }
        if (args[0].compareTo(CASE_205) == 0) {
            test_stream_client.execute205();
            return;
        }
        if (args[0].compareTo(CASE_206) == 0) {
            test_stream_client.execute206();
            return;
        }
        if (args[0].compareTo(CASE_207) == 0) {
            test_stream_client.execute207();
            return;
        }
        if (args[0].compareTo(CASE_208) == 0) {
            test_stream_client.execute208();
            return;
        }
        if (args[0].compareTo(CASE_209) == 0) {
            test_stream_client.execute209();
            return;
        }
        if (args[0].compareTo(CASE_210) == 0) {
            test_stream_client.execute210();
            return;
        }
        if (args[0].compareTo(CASE_301) == 0) {
            test_stream_client.execute301();
            return;
        }
        if (args[0].compareTo(CASE_302) == 0) {
            test_stream_client.execute302();
            return;
        }
        if (args[0].compareTo(CASE_303) == 0) {
            test_stream_client.execute303();
            return;
        }
        if (args[0].compareTo(CASE_304) == 0) {
            test_stream_client.execute304();
            return;
        }
    }
}
