/**
 * Copyright (C) All rights reserved.
 *
 * @Author     Takahiko Tanaka
 * @Version    1.0 2010/07/23
 */

package sample;

import java.lang.*;
import java.lang.reflect.*;
import java.io.*;
import java.net.*;

import sample.*;

public class SampleClient extends Object {
    SampleServer sserv;
    private static String TEST_MESSAGE = "Message Service Test";
    private static String SPACE         = " ";
    private static String EXCEPTION_KEY = "exception";
    private static String RETURN_KEY    = "return";
    private static String TITLE         = "count() Test : input ";

    public void printTest() {
        sserv = new SampleServer();
        sserv.printService();
    }

    public void messageTest() {
        sserv = new SampleServer();
        sserv.messageService(TEST_MESSAGE);
    }

    public void countTest() {
        String sret;

        sserv = new SampleServer();
        try {
            sret = sserv.count(String.valueOf(1));
            System.out.println(TITLE + SPACE + String.valueOf(1)
			   + SPACE + RETURN_KEY + SPACE + sret);
        } catch (Exception ep) {
            System.out.println(TITLE + SPACE + String.valueOf(1)
                           + SPACE + EXCEPTION_KEY + SPACE + ep.toString()); 
        }
    }

    public static void main(String[] arg) {
        SampleClient samp = new SampleClient();

        samp.countTest();
    }
}

    
