/**
 * Copyright (C)
 *
 * @author     Takahiko Tanaka
 * @version    1.0 2010/07/23
 */

package sample;

import java.lang.*;
import java.lang.reflect.*;
import java.io.*;
import java.net.*;

import sample.*;

public class SampleServer extends Object implements FunctionService, Serializable {
    private static String PRINT_MESSAGE = "printService";
    private static String SERVICE_MESSAGE = "messageService";
    private static String BLANK_MESSAGE = " ";

    private static String SAMPLE_MESSAGE = "Sample Message";

    public void printService() {
        System.out.println(PRINT_MESSAGE);
    }

    public void messageService(java.lang.String arg) {
        System.out.println(SERVICE_MESSAGE + BLANK_MESSAGE + arg);
    }

    public String count(java.lang.String ct) throws Exception {
        int     ival;
        Integer iobj;
        String  sval;

        try {
            iobj = Integer.valueOf(ct);
        } catch (Exception ep) {
            throw ep;
        }
        ival = iobj.intValue() + 1;
        sval = String.valueOf(ival);

        return sval;
    }

    public static void main(String[] arg) {
        String return_message;

        SampleServer sample_server;

        sample_server = new SampleServer();

        sample_server.printService();

        if (arg.length > 0) {
            sample_server.messageService(arg[0]);
        }

        if (arg.length > 1) {
            try {
                return_message = sample_server.count(arg[1]);
                System.out.println(return_message);
            } catch (Exception exception_object) {
                System.out.println(exception_object.toString());
            }
        }
    }
}
