/**
 * Copyright (C) All rights reserved.
 *
 * @Module     BaseEntry.java
 * @Author     Takahiko Tanaka.
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2012/08/06
 *
 */

package exec;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;

public abstract class BaseEntry extends DebugObject {
    private  int index_number = -1;
    private  boolean  state = true;

    public abstract String getName() ;

    public void setNumber(int no) {
        index_number = no;
    }

    public int getNumber() {
        return index_number;
    }

    public void enable() {
        state = true;
    }

    public void disable() {
        state = false;
    }

    public boolean checkState() {
        return state;
    }

    public static void main(String[]  args) {
        BaseEntry   base_entry;

    }
}
