/**
 * Copyright (C) All rights reserved.
 *
 * @Module     BookEntryTest.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2013/04/04
 *
 */

package exec;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class BookEntryTest extends BookEntry {
    private static String TEST1 = "Test1";
    private static String TAG_KEY = "<仕事>";

    public void Test1(String[] args) {
        String       tag_string;
        String       message;
        AreaRange    area_range;
        AreaRange    area_value;
        int          start_position;
        int          end_position;

        if (getDebug() > 0 && getLogPrintStream() != null) {
            setTag(TAG_KEY);

            message = getMessage(ENTER_METHOD, ENTER_METHOD, SPACE, TEST1);
            getLogPrintStream().printLogln( message );

            tag_string = getTag();

            message = getMessage(DEBUG_VALUE_KEY, 
                DEBUG_VALUE_KEY, SPACE, tag_string);
            getLogPrintStream().printLogln( message );

            area_range = new AreaRange();
            start_position = 10;
            end_position = 100;
            area_range.setStartPosition( start_position );
            area_range.setEndPosition( end_position );

            try {
                setStartTag(area_range);
            } catch (Exception exception_object) {
                return;
            }

            area_value = getStartTag();

            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, String.valueOf(area_value.getStartPosition()),
                SPACE, String.valueOf(area_value.getEndPosition()) );

            getLogPrintStream().printLogln( message );
        }
    }
}

