/**
 * Copyright (C) All rights reserved.
 *
 * @Module     IndexCardTest.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2013/04/04
 *
 */

package exec;

import java.lang.*;
import java.io.*;
import java.util.*;

public class IndexCardTest extends IndexCard {
    private static String TEST1 = "Test1";
    private static String TEST2 = "Test2";

    public void Test1(String[] args) {
        String     message;
        BookEntry  book_entry;

        if (getDebug() > 0 && getLogPrintStream() != null) {
            message = getMessage(ENTER_METHOD, ENTER_METHOD, SPACE, TEST1);
            getLogPrintStream().printLogln( message );

            book_entry = new BookEntry();
            add(book_entry);

            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, String.valueOf(size()),
                SPACE, book_entry.toString() );
            getLogPrintStream().printLogln( message );

            book_entry = (BookEntry)get(0);
            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, book_entry.toString() );
            getLogPrintStream().printLogln( message );

            dump();

            message = getMessage(END_METHOD, END_METHOD, SPACE, TEST1);
            getLogPrintStream().printLogln( message );
        }
    }

    public void Test2(String[] args) {
        int        index;
        String     message;
        BookEntry  book_entry;

        if (getDebug() > 0 && getLogPrintStream() != null) {
            message = getMessage(ENTER_METHOD, ENTER_METHOD, SPACE, TEST2);
            getLogPrintStream().printLogln( message );

            book_entry = new BookEntry();
            add(book_entry);

            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, book_entry.toString() );
            getLogPrintStream().printLogln( message );

            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, String.valueOf(book_entry.checkState()) );
            getLogPrintStream().printLogln( message );

            index = 0;
            disable(index);

            book_entry = (BookEntry)get(0);
            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, book_entry.toString() );
            getLogPrintStream().printLogln( message );

            message = getMessage(DEBUG_VALUE_KEY, DEBUG_VALUE_KEY, 
                SPACE, String.valueOf(book_entry.checkState()) );
            getLogPrintStream().printLogln( message );

            message = getMessage(END_METHOD, END_METHOD, SPACE, TEST2);
            getLogPrintStream().printLogln( message );
        }
    }
}

