/**
 * Copyright (C) All rights reserved.
 *
 * @Module:    MakeReport.java
 * @Author:    Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version:   1.0 2013/02/15 
 *
 * This interface has a definition for invoking makeReport method.
 * This is used in report generator.
 * And it is called from execute method in basic class.
 */

package exec;

import java.lang.*;
import java.io.*;

public interface MakeReport {
    public final static String MAKEREPORT_METHOD = "makeReport";
    public abstract void makeReport(Object[] obj, PrintStream print_stream) throws Exception;

}
