/**
 * Copyright (C) All rights reserved.
 *
 * @Module     odir_jpn.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    1.0 2012/07/19
 *
 */

package odir;

import java.lang.*;
import java.io.*;
import java.net.*;

public class odir_jpn extends Object {
    private final static String MESSAGE_LIST_SEPARATOR = "=";

public String[] jpn = {
    DirectoryServerException.OWNER_PARAMETER_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "ユーザパラメターが異常です。",
    DirectoryServerException.OWNER_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "ユーザパラメターが異常です。",
    DirectoryServerException.PASSWORD_PARAMETER_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "パスワードパラメターが異常です。",
    DirectoryServerException.PASSWORD_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "パスワードパラメターが異常です。",
    DirectoryServerException.URI_PARAMETER_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "パスパラメターが異常です。",
    DirectoryServerException.URI_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "パスパラメターが異常です。",
    DirectoryServerException.BUSY_WAIT+
        MESSAGE_LIST_SEPARATOR+
            "処理中です。",
    DirectoryServerException.ENCRYPT_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "暗号化異常が発生しました。",

    DirectoryServerException.JAVA_RUNTIME_GET_RUNTIME+
        MESSAGE_LIST_SEPARATOR+
            "Java RuntimeパッケージのgetRuntime()で異常が発生しました。",
    Register.LOGIN_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "ログイン：",
    Register.PASSWORD_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "パスワード：",
    Remove.FILE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "削除するファイル：",
    Directory.DIRECTORY_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "ディレクトリ：",
    Login.SESSION_KEY_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "セッションキー：",
    Get.DESTINATION_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "新規ファイル：",
    Get.TARGET_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "複製元ファイル：",

    DirectoryServerException.USER_ENTRY_NOT_FOUND_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "ユーザエントリが見つかりませんでした。",
    DirectoryServerException.HOME_DIRECTORY_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "ホームディレクトリが見つかりませんでした。",
    DirectoryServerException.CANCEL_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "要求がキャンセルされました。",
    DirectoryServerException.TERMINAL_NAME_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "端末名が見つかりませんでした。",
    DirectoryServerException.DIRECTORY_PARAMETER_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "/ 以外のディレクトリを指定して下さい。",
    DirectoryServerException.ILLEGAL_COMMAND_NAME+
        MESSAGE_LIST_SEPARATOR+
            "不正なコマンド名が指定されました。",
    DirectoryServerException.URI_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "URIパラメータが見つかりません。",
    DirectoryServerException.SOURCE_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "ファイルパラメータが見つかりません。",
    DirectoryServerException.DESTINATION_PARAMETER_NOT_FOUND+
        MESSAGE_LIST_SEPARATOR+
            "ファイルパラメータが見つかりません。",
    DirectoryServerException.ILLEGAL_FORMAT_OF_FILE_LIST+
        MESSAGE_LIST_SEPARATOR+
            "不正なフォーマットでファイル名が指定されました。",

    Erase.ERASE_CONFIRM_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "削除してよろしいですか？",

    List.LIST_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.List ディレクトリ ユーザ パスワード",
    Execute.EXECUTE_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Execute ユーザ パスワード モジュール名 クラス名　メソッド",
    Get.GET_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Get ユーザ パスワード 遠隔ファイルのURI ファイル",
    Put.PUT_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Put ユーザ パスワード ファイル 遠隔ファイルのURI",
    Remove.REMOVE_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Remove ユーザ パスワード ファイル",
    Directory.DIRECTORY_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Directory ディレクトリ ユーザ パスワード",
    Delete.DELETE_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Delete ディレクトリ ユーザ パスワード",
    Login.LOGIN_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Login ユーザ パスワード",
    Logout.LOGOUT_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Logout セッションキー",
    Register.REGISTER_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Register ユーザ パスワード",
    User.USER_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.User ユーザ パスワード",
    Erase.ERASE_USAGE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "使用方法 java -classpath ./ odir.Erase ユーザ パスワード",


    User.USER_ENTRY_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "エントリ",
    Logout.LOGOUT_SESSION_KEY+
        MESSAGE_LIST_SEPARATOR+
            "セッションキー",
    DirectoryServer.DIRECTORY_SERVER_MESSAGE_HEADER+
        MESSAGE_LIST_SEPARATOR+
            "ログメッセージ DirectoryServer ",
 


    Logout.LOGOUT_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ログアウト処理で異常が発生しました。",
    Login.LOGIN_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ログイン処理で異常が発生しました。",
    Register.REGISTER_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ユーザ登録処理で異常が発生しました。",
    User.USER_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ユーザリストの参照処理で異常が発生しました。",
    Erase.ERASE_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ユーザ登録の削除処理で異常が発生しました。",

    Get.FORCE_MODE_MESSAGE+
        MESSAGE_LIST_SEPARATOR+
            "システムが排他状態です。強制的に実行してよろしいですか(yes/no)？",

    Directory.DIRECTORY_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ディレクトリ作成処理で異常が発生しました。",
    Delete.DELETE_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ディレクトリの削除処理で異常が発生しました。",
    List.LIST_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "一覧表示処理で異常が発生しました。",

    Put.PUT_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ファイルの送信処理で異常が発生しました。",
    Get.GET_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ファイルの取得処理で異常が発生しました。",
    Remove.REMOVE_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ファイルの削除処理で異常が発生しました。",
    Execute.EXECUTE_ERROR+
        MESSAGE_LIST_SEPARATOR+
            "ファイルの実行処理で異常が発生しました。",

    DirectoryServerException.NETWORK_ADDRESS_ERROR_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "ネットワークアドレスが異常です。",
    DirectoryServerException.SESSION_FORMAT_ERROR_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "セッションキーのフォーマットが異常です。",
    DirectoryServerException.CLASS_ERROR_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "指定されたクラスが見つかりませんでした。",
    DirectoryServerException.METHOD_PARAMETER_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "メソッドパラメータが不正です。",
    DirectoryServerException.NOT_SUPPORT_RETURN_TYPE_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "サポートされていない戻り値タイプが指定されました。",
    DirectoryServerException.SPLIT_NUMBER_PARAMETER_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "不正な分割転送回数が指定されました。",
    DirectoryServerException.SESSION_TIMEOUT+
        MESSAGE_LIST_SEPARATOR+
            "セッションがタイムアウトしました。",
    DirectoryServerException.ENTRY_ALREADY_EXIST+
        MESSAGE_LIST_SEPARATOR+
            "ファイルが既に存在しています。",

    DirectoryServerException.JAVA_CLASS_FOR_NAME+
        MESSAGE_LIST_SEPARATOR+
            "クラスの取得で異常が発生しました。",
    DirectoryServerException.JAVA_URL_EXCEPTION+
        MESSAGE_LIST_SEPARATOR+
            "URLの生成に失敗しました。",
    DirectoryServerException.JAVA_DATA_INPUT_STREAM+
        MESSAGE_LIST_SEPARATOR+
            "DataInputStreamの生成で異常が発生しました。",
    DirectoryServerException.JAVA_DATA_INPUT_STREAM_READ_LINE+
        MESSAGE_LIST_SEPARATOR+
            "データ読み込み処理で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_INPUT_STREAM_READ_OBJECT+
        MESSAGE_LIST_SEPARATOR+
            "読み込み処理で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_INPUT_STREAM_CLOSE+
        MESSAGE_LIST_SEPARATOR+
            "ObjectInputStreamのクローズ処理で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_INPUT_STREAM+
        MESSAGE_LIST_SEPARATOR+
            "ObjectInputStreamの生成で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_OUTPUT_STREAM_WRITE_OBJECT+
        MESSAGE_LIST_SEPARATOR+
            "書き込み処理で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_OUTPUT_STREAM_CLOSE+
        MESSAGE_LIST_SEPARATOR+
            "ObjectOutputStreamのクローズ処理で異常が発生しました。",
    DirectoryServerException.JAVA_OBJECT_OUTPUT_STREAM+
        MESSAGE_LIST_SEPARATOR+
            "ObjectOutputStreamの生成で異常が発生しました。",
    DirectoryServerException.JAVA_FILE_INPUT_STREAM+
        MESSAGE_LIST_SEPARATOR+
            "指定されたファイルが見つかりませんでした。",
    DirectoryServerException.JAVA_FILE_INPUT_STREAM_READ+
        MESSAGE_LIST_SEPARATOR+
            "読み込み処理で異常が発生しました。",
    DirectoryServerException.JAVA_FILE_OUTPUT_STREAM_CLOSE+
        MESSAGE_LIST_SEPARATOR+
            "FileOutputStreamの終了処理で異常が発生しました。",
    DirectoryServerException.JAVA_FILE_OUTPUT_STREAM+
        MESSAGE_LIST_SEPARATOR+
            "指定されたファイルが見つかりませんでした。",
    DirectoryServerException.JAVA_FILE_OUTPUT_STREAM_WRITE+
        MESSAGE_LIST_SEPARATOR+
            "データの書き込み処理で異常が発生しました。",
    DirectoryServerException.ILLEGAL_COMMAND_NAME+
        MESSAGE_LIST_SEPARATOR+
            "不正なコマンド名が指定されました。",

};

public String[] format = {
};

}
