/**
 * Copyright (C) All rights reserved.
 *
 * @Module     EOSObject.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/01/05
 *
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;

public class EOSObject extends Object implements Serializable {
    public final static String NORMAL_END_MESSAGE = "Normal end";
    public final static String END_OF_SOCKET_MESSAGE = "End Of Socket";
    public final static String ABNORMAL_END = "Abnormal end";

    private String message = null;

    public EOSObject(String param) {
        message = param;
    }

    public String getMessage() {
        return message;
    }

    public String toString() {
        if (message != null) {
            return message;
        }
        return super.toString();
    }
}
