/**
 * Copyright (C) All rights reserved.
 *
 * @Module     JarArchiveObjectFactory.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2011/10/03 Add to Forward feature with JarArchiveObject.
 *
 */

package oserv;

import java.lang.*;
import java.io.*;

public class JarArchiveObjectFactory extends Object {

    public static JarArchiveObject createJarArchiveObject(
        String file,
        MessageResource parameter_message_resource,
        int   parameter_debug,
        LogPrintStream parameter_log_print_stream) throws Exception {

        JarArchiveObject   jar_archive_object;
 
        jar_archive_object = JarArchiveObject.valueOf(file,
            parameter_message_resource, 
            parameter_debug,
            parameter_log_print_stream);
        return jar_archive_object;
    }
}
