/**
 * Copyright (C) All rights reserved.
 *
 * @Module     ObjectFunction.java
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2.1 2012/03/08
 */

package oserv;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import java.util.zip.*;
import java.util.jar.*;


public class ObjectFunction extends ObjectServerHeader {

    private String myType = UNKNOWN_THREAD_TYPE;

    public void setMyType(String type) {
        if (type != null) {
            myType = type;
        }
    }

    protected String getMyType() {
        return myType;
    }

    public ObjectFunction() {
        super();
    }

    public ObjectFunction(Thread runnable, String type) {
        super(runnable);
        setMyType(type);
    }
}
