/**
 * Copyright (C) All rights reserved.
 *
 * @Author     Takahiko Tanaka
 *             uewxiun@pb3.so-net.ne.jp
 * @Version    2012/01/20
 * @Module     VarService.java
 *
 */

package var;

import java.lang.*;
import java.io.*;
import java.net.*;

public interface VarService {

    public int          check1();
    public long         check2();
    public float        check3();
    public double       check4();
    public short        check5();
    public char         check6();
    public byte         check7();
    public boolean      check8();

    public Object       check9() throws VarException;

    public String       check10();

    public Integer      check11();
    public Long         check12();
    public Float        check13();
    public Double       check14();
    public Short        check15();
    public Character    check16();
    public Byte         check17();
    public Boolean      check18();

    public Object       check19() throws IOException, WriteAbortedException;
    public Object       check20() throws Exception;

    public String       check21(int a);
    public String       check22(long a);
    public String       check23(float a);
    public String       check24(double a);
    public String       check25(short a);
    public String       check26(char a);
    public String       check27(byte a);
    public String       check28(boolean a);
    public String       check29(Object a) throws NotSerializableException;
    public String       check30(String a);

    public String       check31(Integer a);
    public String       check32(Long a);
    public String       check33(Float a);
    public String       check34(Double a);
    public String       check35(Short a);
    public String       check36(Character a);
    public String       check37(Byte a);
    public String       check38(Boolean a);
    public String       check39(SerializableObject a) throws NotSerializableException;
    public String       check40(SerializableTest a) throws Exception;
    public byte[]       check41();
    public String       check42(byte[] a);

    public String       check43(String a);

}
